GroupHeaderSCT
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03

## Class GroupHeaderSCT

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Nachricht.pain_001_003_03.GroupHeaderSCT

-     public class GroupHeaderSCT
      extends java.lang.Object

  Java class for GroupHeaderSCT complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GroupHeaderSCT">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}RestrictedIdentificationSEPA1"/>
               <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}ISODateTime"/>
               <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}Max15NumericText"/>
               <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}DecimalNumber" minOccurs="0"/>
               <element name="InitgPty" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.003.03}PartyIdentificationSEPA1"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.xml.datatype.XMLGregorianCalendar` | `creDtTm`
    `protected java.math.BigDecimal` | `ctrlSum`
    `protected PartyIdentificationSEPA1` | `initgPty`
    `protected java.lang.String` | `msgId`
    `protected java.lang.String` | `nbOfTxs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupHeaderSCT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.datatype.XMLGregorianCalendar` | `getCreDtTm()` Gets the value of the creDtTm property.
    `java.math.BigDecimal` | `getCtrlSum()` Gets the value of the ctrlSum property.
    `PartyIdentificationSEPA1` | `getInitgPty()` Gets the value of the initgPty property.
    `java.lang.String` | `getMsgId()` Gets the value of the msgId property.
    `java.lang.String` | `getNbOfTxs()` Gets the value of the nbOfTxs property.
    `void` | `setCreDtTm(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
    `void` | `setCtrlSum(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
    `void` | `setInitgPty(PartyIdentificationSEPA1 value)` Sets the value of the initgPty property.
    `void` | `setMsgId(java.lang.String value)` Sets the value of the msgId property.
    `void` | `setNbOfTxs(java.lang.String value)` Sets the value of the nbOfTxs property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### msgId

          protected java.lang.String msgId

    - #### creDtTm

          protected javax.xml.datatype.XMLGregorianCalendar creDtTm

    - #### nbOfTxs

          protected java.lang.String nbOfTxs

    - #### ctrlSum

          protected java.math.BigDecimal ctrlSum

    - #### initgPty

          protected PartyIdentificationSEPA1 initgPty

  - ### Constructor Detail

    - #### GroupHeaderSCT

          public GroupHeaderSCT()

  - ### Method Detail

    - #### getMsgId

          public java.lang.String getMsgId()

      Gets the value of the msgId property.
      Returns:
        possible object is `String`

    - #### setMsgId

          public void setMsgId(java.lang.String value)

      Sets the value of the msgId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreDtTm

          public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

      Gets the value of the creDtTm property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setCreDtTm

          public void setCreDtTm(javax.xml.datatype.XMLGregorianCalendar value)

      Sets the value of the creDtTm property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getNbOfTxs

          public java.lang.String getNbOfTxs()

      Gets the value of the nbOfTxs property.
      Returns:
        possible object is `String`

    - #### setNbOfTxs

          public void setNbOfTxs(java.lang.String value)

      Sets the value of the nbOfTxs property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCtrlSum

          public java.math.BigDecimal getCtrlSum()

      Gets the value of the ctrlSum property.
      Returns:
        possible object is `BigDecimal`

    - #### setCtrlSum

          public void setCtrlSum(java.math.BigDecimal value)

      Sets the value of the ctrlSum property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getInitgPty

          public PartyIdentificationSEPA1 getInitgPty()

      Gets the value of the initgPty property.
      Returns:
        possible object is `PartyIdentificationSEPA1`

    - #### setInitgPty

          public void setInitgPty(PartyIdentificationSEPA1 value)

      Sets the value of the initgPty property.
      Parameters:
        `value` - allowed object is `PartyIdentificationSEPA1`